
_mcp4725_ADC:

;EXP16.c,31 :: 		void mcp4725_ADC(unsigned int valor)
;EXP16.c,33 :: 		i2c_Start();
	CALL       _i2c_Start+0
;EXP16.c,34 :: 		i2c_Write(dir_DAC);
	MOVLW      192
	MOVWF      FARG_i2c_Write_data1+0
	CALL       _i2c_Write+0
;EXP16.c,35 :: 		i2c_Write(Hi(valor));
	MOVF       FARG_mcp4725_ADC_valor+1, 0
	MOVWF      FARG_i2c_Write_data1+0
	CALL       _i2c_Write+0
;EXP16.c,36 :: 		i2c_Write(Lo(valor));
	MOVF       FARG_mcp4725_ADC_valor+0, 0
	MOVWF      FARG_i2c_Write_data1+0
	CALL       _i2c_Write+0
;EXP16.c,37 :: 		i2c_Stop();
	CALL       _i2c_Stop+0
;EXP16.c,38 :: 		}
L_end_mcp4725_ADC:
	RETURN
; end of _mcp4725_ADC

_set_up:

;EXP16.c,39 :: 		void set_up() {
;EXP16.c,40 :: 		ANSEL = 0;        //
	CLRF       ANSEL+0
;EXP16.c,41 :: 		ANSELH = 0;      // The rest of the pins set as digital Inputs or outputs.
	CLRF       ANSELH+0
;EXP16.c,42 :: 		C1ON_bit = 0;    // Analog comparators off.
	BCF        C1ON_bit+0, BitPos(C1ON_bit+0)
;EXP16.c,43 :: 		C2ON_bit = 0;
	BCF        C2ON_bit+0, BitPos(C2ON_bit+0)
;EXP16.c,44 :: 		}
L_end_set_up:
	RETURN
; end of _set_up

_main:

;EXP16.c,46 :: 		void main() {
;EXP16.c,47 :: 		set_up();
	CALL       _set_up+0
;EXP16.c,48 :: 		while (1)
L_main0:
;EXP16.c,50 :: 		for(i = 0; i < 100; i++){
	CLRF       _i+0
L_main2:
	MOVLW      128
	XORWF      _i+0, 0
	MOVWF      R0+0
	MOVLW      128
	XORLW      100
	SUBWF      R0+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_main3
;EXP16.c,51 :: 		mcp4725_ADC(sine[i]);
	MOVF       _i+0, 0
	MOVWF      R0+0
	MOVLW      0
	BTFSC      R0+0, 7
	MOVLW      255
	MOVWF      R0+1
	RLF        R0+0, 1
	RLF        R0+1, 1
	BCF        R0+0, 0
	MOVLW      _sine+0
	ADDWF      R0+0, 1
	MOVLW      hi_addr(_sine+0)
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      R0+1, 1
	MOVF       R0+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       R0+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      FARG_mcp4725_ADC_valor+0
	INCF       ___DoICPAddr+0, 1
	BTFSC      STATUS+0, 2
	INCF       ___DoICPAddr+1, 1
	CALL       _____DoICP+0
	MOVWF      FARG_mcp4725_ADC_valor+1
	CALL       _mcp4725_ADC+0
;EXP16.c,52 :: 		delay_us(1);
	NOP
	NOP
;EXP16.c,50 :: 		for(i = 0; i < 100; i++){
	INCF       _i+0, 1
;EXP16.c,53 :: 		}
	GOTO       L_main2
L_main3:
;EXP16.c,54 :: 		}
	GOTO       L_main0
;EXP16.c,55 :: 		}
L_end_main:
	GOTO       $+0
; end of _main
