#line 1 "C:/Users/Usuario/Documents/MikroC_pro_pic/Experimentos/experimento16/i2c_software.c"
#line 1 "c:/users/usuario/documents/mikroc_pro_pic/experimentos/experimento16/i2c_software.h"




unsigned char i2c_Read(char NACK);
SCL_HIGH();
SDA_HIGH();
SDA_LOW();
SCL_LOW();
void i2c_Write(unsigned char data1);
void i2c_Stop(void);
void i2c_Start(void);
#line 1 "c:/users/public/documents/mikroelektronika/mikroc pro for pic/include/built_in.h"
#line 4 "C:/Users/Usuario/Documents/MikroC_pro_pic/Experimentos/experimento16/i2c_software.c"
void SCL_HIGH(){
TRISC3_bit = 1;
}
void SDA_HIGH(){
TRISC4_bit =1;
}
void SDA_LOW() {
TRISC4_bit= 0;
RC4_bit=0;
}
void SCL_LOW() {
TRISC3_bit= 0;
RC3_bit=0;
}

void i2c_Start(void) {
 SDA_HIGH();
 SCL_HIGH();
 delay_us(10);
 SDA_LOW();
 SCL_LOW();
}

void i2c_Stop(void) {
 SDA_LOW();
 SCL_HIGH();
 delay_us(10);
 SDA_HIGH();
}

void i2c_Write(unsigned char data1) {
 char bit_temp;

 SCL_LOW();

 for (bit_temp = 0; bit_temp < 8; bit_temp++) {

 if (data1 & 0x80)
 SDA_HIGH();
 else
 SDA_LOW();

 SCL_HIGH();
 data1 <<= 1;
 delay_us(10);
 SCL_LOW();
 }

 SCL_HIGH();
 SDA_HIGH();
 delay_us(10);
 bit_temp = portc.b4;

 SCL_LOW();
 SDA_LOW();


}

unsigned char i2c_Read(char NACK) {
 char bit_temp;
 unsigned char data1;

 SDA_HIGH();

 for (bit_temp = 0; bit_temp < 8; bit_temp++) {
 data1 <<= 1;
 delay_us(10);
 SCL_HIGH();

 if (portc.b4)
 data1 |= 1;
 delay_us(10);
 SCL_LOW();
 }

 if (NACK == 1)
 SDA_LOW();
 else
 SDA_HIGH();

 SCL_HIGH();
 delay_us(10);
 SCL_LOW();
 SDA_LOW();

 return data1;
}
