#ifndef _I2C_H_
#define _I2C_H_

#include <xc.h>

void Init_I2C(void);
unsigned char i2c_Read(char NACK);
void i2c_Write(unsigned char data);
void i2c_Stop(void);
void i2c_Start(void);

//void delay(unsigned int time);
//void delay2(unsigned int time);

#define SCL_HIGH() (SCL = 1)
#define SDA_HIGH() (SDA = 1)
#define SDA_LOW() (SDA = 0,SDA_IN=0)
#define SCL_LOW() (SCL = 0,SCL_IN=0)

#define SCL     TRISBbits.TRISB2
#define SDA     TRISBbits.TRISB1
#define SCL_IN  PORTBbits.RB2
#define SDA_IN  PORTBbits.RB1

#endif
